<?php

namespace Lucent;

use Exception;


final class LucentException extends Exception
{
    // Redefine the exception so message isn't optional
    public function __construct(string $message, int $code = 0, Exception $previous = null)
    {
        // make sure everything is assigned properly
        parent::__construct($message, $code, $previous);
    }
}
